[ARVADOS-DEV] updated: 0f696afd56780250b3f2828b875fb7ea8e4ebe81

git at public.curoverse.com git at public.curoverse.com
Fri Jun 12 20:46:04 EDT 2015


Summary of changes:
 jenkins/run-build-packages.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

       via  0f696afd56780250b3f2828b875fb7ea8e4ebe81 (commit)
      from  591ddfb6f369bd37bf8218646219f5f3fcc561bd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 0f696afd56780250b3f2828b875fb7ea8e4ebe81
Author: Ward Vandewege <ward at curoverse.com>
Date:   Fri Jun 12 20:45:38 2015 -0400

    Fix asset generation in the workbench package. Make sure the build step will error out if asset generation fails for whatever reason.
    
    No issue #

diff --git a/jenkins/run-build-packages.sh b/jenkins/run-build-packages.sh
index e6a89b4..2e797bf 100755
--- a/jenkins/run-build-packages.sh
+++ b/jenkins/run-build-packages.sh
@@ -632,8 +632,17 @@ fi
 # from the package - empty it instead.
 rm -rf $WORKSPACE/apps/workbench/tmp/*
 
+# Set up application.yml so that asset precompilation works
+\cp config/application.yml.example config/application.yml -f
+sed -i 's/secret_token: ~/secret_token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/' config/application.yml
+
 RAILS_ENV=production RAILS_GROUPS=assets bundle exec rake assets:precompile >/dev/null
 
+if [[ "$?" != "0" ]]; then
+  echo "ERROR: Asset precompilation failed"
+  EXITCODE=1
+fi
+
 cd $WORKSPACE/debs
 
 # This is the complete package with vendor/bundle included.

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list